Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 512)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 513)
@@ -84,7 +84,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMParameters;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditorPart;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -109,52 +109,52 @@
  * @author mdecorde
  */
 public class CooccurrencesEditor extends TXMEditorPart {
-	
+
 	/** The Constant ID. */
 	public static final String ID = CooccurrencesEditor.class.getName(); //$NON-NLS-1$
 
 	/** The cooc. */
 	Cooccurrence cooc;
-	
+
 	/** The self. */
 	CooccurrencesEditor self;
 	// params
 	/** The query widget. */
 	AssistedQueryWidget queryWidget;
-	
+
 	/** The props area. */
 	PropertiesSelector propsArea;
-	
+
 	/** The empant panel. */
 	EmpantWidget empantPanel;
-	
+
 	/** The T score. */
 	Text TScore;
-	
+
 	/** The T count. */
 	Spinner TCount;
-	
+
 	/** The T freq. */
 	Spinner TFreq;
 
 	/** The line table viewer. */
 	TableViewer viewer;
-	
+
 	/** The n column. */
 	TableColumn nColumn;
-	
+
 	/** The occ column. */
 	TableColumn occColumn;
-	
+
 	/** The freq column. */
 	TableColumn freqColumn;
-	
+
 	/** The nbocc column. */
 	TableColumn nboccColumn;
-	
+
 	/** The score column. */
 	TableColumn scoreColumn;
-	
+
 	/** The dist column. */
 	TableColumn distColumn;
 
@@ -197,10 +197,10 @@
 	 */
 	@Override
 	public void createPartControl(final Composite parent) {
-		
+
 		// FIXME: to do
 		//super.createPartControl(parent);
-		
+
 		FormLayout parentLayout = new FormLayout();
 		parent.setLayout(parentLayout);
 
@@ -347,21 +347,21 @@
 		TCount.setMaximum(99999);
 		TCount.setIncrement(1);
 		TCount.setPageIncrement(100);
-		
+
 		seuilLabel = new Label(filtercontrols, SWT.NONE);
 		seuilLabel.setText(CooccurrenceUIMessages.CooccurrencesEditor_6);
 		TScore = new Text(filtercontrols, SWT.BORDER);
-		
+
 		// empant
 		empantPanel = new EmpantWidget(paramArea, SWT.NONE, this.getCorpus());
-		
+
 		FormData empantLayoutData = new FormData();
 		empantLayoutData.top = new FormAttachment(filtercontrols, 0);
 		empantLayoutData.bottom = new FormAttachment(100);
 		empantLayoutData.left = new FormAttachment(0);
 		empantLayoutData.right = new FormAttachment(100);
 		empantPanel.setLayoutData(empantLayoutData);
-		
+
 		// result
 		Composite resultArea = new Composite(parent, SWT.NONE);
 		FormData resultLayoutData = new FormData();
@@ -379,7 +379,7 @@
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().setHeaderVisible(true);
-		
+
 		String fontName = cooc.getCorpus().getFont();
 		if (fontName != null && fontName.length() > 0) {
 			Font old = viewer.getTable().getFont();
@@ -389,23 +389,23 @@
 			viewer.getTable().setFont(font);
 		}
 
-//TODO replace this with a command+menucontribution		
-//		viewer.getTable().addMouseListener(new MouseAdapter() {
-//			@Override
-//			public void mouseDoubleClick(MouseEvent e) {
-//				Point mouseposition = new Point(e.x
-//						+ viewer.getTable().getHorizontalBar()
-//						.getSelection(), e.y);
-//				int col = getPointedColumn(mouseposition);
-//				//System.out.println("col "+col);
-//				switch(col)
-//				{
-//				default:
-//					IStructuredSelection selection = (IStructuredSelection) viewer.getSelection();
-//					CooccurrencesToConcordances.link(CooccurrencesEditor.this, selection);
-//				}
-//			}
-//		});
+		//TODO replace this with a command+menucontribution		
+		//		viewer.getTable().addMouseListener(new MouseAdapter() {
+		//			@Override
+		//			public void mouseDoubleClick(MouseEvent e) {
+		//				Point mouseposition = new Point(e.x
+		//						+ viewer.getTable().getHorizontalBar()
+		//						.getSelection(), e.y);
+		//				int col = getPointedColumn(mouseposition);
+		//				//System.out.println("col "+col);
+		//				switch(col)
+		//				{
+		//				default:
+		//					IStructuredSelection selection = (IStructuredSelection) viewer.getSelection();
+		//					CooccurrencesToConcordances.link(CooccurrencesEditor.this, selection);
+		//				}
+		//			}
+		//		});
 
 		FormData tableLayoutData = new FormData();
 		tableLayoutData.top = new FormAttachment(0);
@@ -438,8 +438,8 @@
 		});
 
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
-		freqColumn.setText(Messages.FrequencyListEditorInput_4);
-		freqColumn.setToolTipText(Messages.FrequencyListEditorInput_4);
+		freqColumn.setText(RCPMessages.FrequencyListEditorInput_4);
+		freqColumn.setToolTipText(RCPMessages.FrequencyListEditorInput_4);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -561,7 +561,7 @@
 	 * @return
 	 */
 	public TXMParameters getWidgetsParameters()	{
-		
+
 		TXMParameters parameters = new TXMParameters();
 		parameters.put(CooccurrencePreferences.QUERY, this.queryWidget.getQueryString());
 		parameters.put(CooccurrencePreferences.PROPERTIES, this.propsArea.getProperties());
@@ -574,7 +574,7 @@
 		parameters.put(CooccurrencePreferences.MIN_COUNT, this.TCount.getSelection());
 		parameters.put(CooccurrencePreferences.INCLUDE_X_PIVOT, this.empantPanel.getXPivot());
 		parameters.put(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE,this.getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE));
-		
+
 		Double minScore = 0.0;
 		try {
 			Double d = Double.parseDouble(this.TScore.getText());
@@ -582,9 +582,9 @@
 		} catch (Exception e) {
 			System.out.println(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_18, this.TScore.getText()));
 		}
-		
+
 		parameters.put(CooccurrencePreferences.MIN_SCORE, minScore);
-		
+
 		return parameters;
 	}
 
@@ -594,7 +594,7 @@
 		if (this.queryWidget.getQueryString().trim().length() == 0 || this.queryWidget.getQueryString().trim().equals("\"\"")) //$NON-NLS-1$
 			return;
 		queryWidget.memorize();
-		
+
 		if (this.empantPanel.getMinLeft() == -1 && this.empantPanel.getMinRight() == -1) {
 			if (this.empantPanel.getStruct() == null) {
 				System.out.println(CooccurrenceUIMessages.CooccurrencesEditor_16);
@@ -604,10 +604,10 @@
 				return;
 			}
 		}
-		
+
 		// FIXME: method using TXMCommandParameters
 		final TXMParameters parameters = this.getWidgetsParameters();
-		
+
 		JobHandler jobhandler = new JobHandler(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_12, cooc.getCorpus())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -618,16 +618,16 @@
 					//FIXME: Debug
 					//System.out.println("cooc: "+corpus+" "+query+" "+properties+" "+structure+" "+leftmax+" "+leftmin+" "+rightmin+" "+rightmax+" "+minfreq+" "+mincount+" "+minscore+" "+includeXpivot);
 					//monitor.worked(5);
-					
+
 					cooc.setParameters(parameters);
 					if (cooc.validateParameters() && cooc.isDirty()) {
 						cooc.compute(this);
 					}
-					
+
 					//FIXME: DEbug
-//					parameters.dump();
-//					TXMPreferences.dump(CooccurrencePreferences.PREFERENCES_NODE, cooc);
-					
+					//					parameters.dump();
+					//					TXMPreferences.dump(CooccurrencePreferences.PREFERENCES_NODE, cooc);
+
 					// FIXME: this code should be move in Cooccurrence.getDetails() or getName(), etc?
 					final String message;
 					if (cooc.getLines().size() == 0) {
@@ -639,7 +639,7 @@
 					else {
 						message = (CooccurrenceUIMessages.bind(CooccurrenceUIMessages.CooccurrencesEditor_34, cooc.getNumberOfKeyword(), cooc.getNumberOfDifferentCooccurrents()));
 					}
-					
+
 					System.out.println(message);
 					this.syncExec(new Runnable() {
 						@Override
@@ -648,7 +648,7 @@
 							try { txt += ", T "+cooc.getCorpus().getSize();} //$NON-NLS-1$
 							catch(Exception e) {System.out.println(CooccurrenceUIMessages.CooccurrencesEditor_25);}
 							String tooltip = "- " + txt.replaceAll(", ", "\n- "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-							
+
 							empantPanel.setInfo(txt, tooltip);
 							StatusLine.setMessage(message);
 						}
@@ -665,13 +665,13 @@
 					Logger.severe(CooccurrenceUIMessages.CooccurrencesEditor_1  + " " + Logger.toString(e)); //$NON-NLS-1$
 					e.printStackTrace();
 					try {
-						Logger.info(Messages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+						Logger.info(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 					}
 					catch (Exception e2) {
-						Logger.severe(Messages.ConcordancesEditor_7+e2);
+						Logger.severe("Error: "+e2.getLocalizedMessage()); //$NON-NLS-1$
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					}
-					
+
 					return Status.CANCEL_STATUS;
 				}
 				monitor.worked(5);
@@ -697,11 +697,11 @@
 						viewer.getControl().setRedraw(true);
 
 						refresh();
-						
+
 						//FIXME: need to be done in another way with after the plugin split
 						QueriesView.refresh();
 						RVariablesView.refresh();
-						
+
 						viewer.getTable().setFocus();
 					}
 				});
@@ -720,7 +720,7 @@
 	 */
 	protected void initializeFields() {
 		queryWidget.setText(this.getStringParameterValue(CooccurrencePreferences.QUERY));
-		
+
 		if (this.cooc.getProperties() != null) {
 			List<Property> available;
 			try {
@@ -732,12 +732,12 @@
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		}
-		
+
 		TFreq.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_FREQ));
 		TCount.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_COUNT));
 
 		TScore.setText(""+this.getDoubleParameterValue(CooccurrencePreferences.MIN_SCORE));
-		
+
 		empantPanel.setMinLeft(this.getIntParameterValue(CooccurrencePreferences.MIN_LEFT)-1);
 		empantPanel.setMaxLeft(this.getIntParameterValue(CooccurrencePreferences.MAX_LEFT)-1);
 		empantPanel.setMinRight(this.getIntParameterValue(CooccurrencePreferences.MIN_RIGHT)-1);
@@ -800,7 +800,7 @@
 	public Cooccurrence getCooc() {
 		return this.cooc;
 	}
-	
+
 	/**
 	 * Do save.
 	 *
@@ -822,8 +822,8 @@
 
 	}
 
-	
-	
+
+
 	/**
 	 * Checks if is dirty.
 	 *
@@ -859,19 +859,17 @@
 						new IRunnableWithProgress() {
 							@Override
 							public void run(IProgressMonitor monitor)
-							throws InvocationTargetException,
-							InterruptedException {
+									throws InvocationTargetException,
+									InterruptedException {
 								try {
 									cooc.sort(currentComparator);
 								} catch (CqiClientException e) {
-									System.err.println(NLS.bind(
-										Messages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
+									System.err.println("Error: "+e.getLocalizedMessage());
 								}
 							}
 						});
 			} catch (Exception e) {
-				System.err.println(NLS.bind(
-						Messages.ERROR_WHILE_LOADING_CONCORDANCE_LINE, e));
+				System.err.println("Error: "+e.getLocalizedMessage());
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 			viewer.refresh();
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 512)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 513)
@@ -37,7 +37,7 @@
 import org.txm.cooccurrence.core.preferences.CooccurrencePreferences;
 import org.txm.cooccurrence.rcp.editors.CooccurrencesEditor;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditorPart;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -129,12 +129,12 @@
 		} else if (selection instanceof Cooccurrence) { // reopening an existing result
 			cooc = (Cooccurrence)selection;
 		} else {
-			System.out.println(Messages.ComputeCooccurrences_1 + selection);
+			System.out.println(RCPMessages.ComputeCooccurrences_1 + selection);
 			return null;
 		}
 		
 		try {
-			StatusLine.setMessage(Messages.ComputeCooccurrences_0);
+			StatusLine.setMessage(RCPMessages.ComputeCooccurrences_0);
 
 			//System.out.println("DEBUG: opening cooc: "+cooc+" corpus="+cooc.getCorpus());
 			editorInput = new TXMResultEditorInput(cooc);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 512)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 513)
@@ -51,7 +51,7 @@
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.utils.JobHandler;
@@ -111,7 +111,7 @@
 					return null;
 				}
 				//ask property and Fmins and Vmax
-				String title = Messages.bind(CAUIMessages.ComputeCorrespondanceAnalysisDialog_0, partition.getName());
+				String title = RCPMessages.bind(CAUIMessages.ComputeCorrespondanceAnalysisDialog_0, partition.getName());
 				LexicalTableDialog d = new LexicalTableDialog(
 						window.getShell(), partition.getCorpus(), title);
 				if (d.open() == LexicalTableDialog.OK) {
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 512)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 513)
@@ -67,7 +67,7 @@
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.SplitedGenericMultiPageEditor;
 import org.txm.rcp.editors.TXMMultiPageEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -186,7 +186,7 @@
 
 
 		if (editors.size() != inputs.size()) {
-			throw new IllegalArgumentException(NLS.bind(Messages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
+			throw new IllegalArgumentException(NLS.bind(RCPMessages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
 		}
 
 		// put first editor in the left panel and set is as "main" editor
@@ -220,7 +220,7 @@
 		}
 		catch (Exception e1) {
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
-			System.out.println(Messages.CaEditor_0+e1);
+			System.out.println(RCPMessages.CaEditor_0+e1);
 			return;
 		}
 
@@ -231,7 +231,7 @@
 				editorIndex = addPage(editors.get(i), inputs.get(i));
 			} catch (PartInitException e) {
 				org.txm.rcp.utils.Logger.printStackTrace(e);
-				System.out.println(Messages.CaEditor_0+e);
+				System.out.println(RCPMessages.CaEditor_0+e);
 				return;
 			}
 			setPageText(editorIndex, names.get(i));
@@ -352,7 +352,7 @@
 			@Override
 			public String[] getColumnTypes() {
 				return new String[] {
-						Messages.FrequencyListEditorInput_6,
+						RCPMessages.FrequencyListEditorInput_6,
 						COL_TYPE,
 						COL_TYPE,
 						COL_TYPE,
@@ -417,7 +417,7 @@
 			@Override
 			public String[] getColumnTypes() {
 				coltypes = new ArrayList<String>();
-				coltypes.add(Messages.FrequencyListEditorInput_6);
+				coltypes.add(RCPMessages.FrequencyListEditorInput_6);
 				coltypes.add(SEPARATOR);
 				coltypes.add(COL_TYPE);
 				coltypes.add(COL_TYPE);
@@ -501,7 +501,7 @@
 			@Override
 			public String[] getColumnTypes() {
 				coltypes = new ArrayList<String>();
-				coltypes.add(Messages.FrequencyListEditorInput_6);
+				coltypes.add(RCPMessages.FrequencyListEditorInput_6);
 				coltypes.add(SEPARATOR);
 				coltypes.add(COL_TYPE);
 				coltypes.add(COL_TYPE);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java	(revision 512)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java	(revision 513)
@@ -48,7 +48,7 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.Tablable;
 import org.txm.rcp.editors.TableKeyListener;
@@ -132,7 +132,7 @@
 		parent.setLayout(new FillLayout());
 
 		if (!(iEditorInput instanceof Tablable)) {
-			throw new IllegalArgumentException(Messages.SingularValuesEditor_0);
+			throw new IllegalArgumentException(RCPMessages.SingularValuesEditor_0);
 		}
 		tableInput = (Tablable) iEditorInput;
 
@@ -168,7 +168,7 @@
 				@Override
 				public void widgetSelected(SelectionEvent e)
 				{
-					StatusLine.setMessage(Messages.SORT_COLUMN);
+					StatusLine.setMessage(RCPMessages.SORT_COLUMN);
 					tableSorter.setColumn(index);
 					int dir = viewer.getTable().getSortDirection();
 					if (viewer.getTable().getSortColumn() == column.getColumn()) {
@@ -179,7 +179,7 @@
 					viewer.getTable().setSortDirection(dir);
 					viewer.getTable().setSortColumn(column.getColumn());
 					viewer.refresh();
-					StatusLine.setMessage(Messages.SORT_DONE);
+					StatusLine.setMessage(RCPMessages.SORT_DONE);
 				}
 			});
 		}
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColsRowsInfosEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColsRowsInfosEditor.java	(revision 512)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColsRowsInfosEditor.java	(revision 513)
@@ -45,7 +45,7 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.Tablable;
 import org.txm.rcp.editors.TableKeyListener;
@@ -126,7 +126,7 @@
 		parent.setLayout(new FillLayout());
 
 		if (!(iEditorInput instanceof Tablable)) {
-			throw new IllegalArgumentException(Messages.ColsRowsInfosEditor_0);
+			throw new IllegalArgumentException(RCPMessages.ColsRowsInfosEditor_0);
 		}
 		tableInput = (Tablable) iEditorInput;
 		viewer = new TableViewer(parent, SWT.H_SCROLL | SWT.V_SCROLL
@@ -156,7 +156,7 @@
 			column.getColumn().addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(Messages.SORT_COLUMN );
+					StatusLine.setMessage(RCPMessages.SORT_COLUMN );
 					tableSorter.setColumn(index);
 					int dir = viewer.getTable().getSortDirection();
 					if (viewer.getTable().getSortColumn() == column.getColumn()) {
@@ -167,7 +167,7 @@
 					viewer.getTable().setSortDirection(dir);
 					viewer.getTable().setSortColumn(column.getColumn());
 					viewer.refresh();
-					StatusLine.setMessage(Messages.SORT_DONE);
+					StatusLine.setMessage(RCPMessages.SORT_DONE);
 				}
 			});
 		}
@@ -180,7 +180,7 @@
 		tableSorter.setColumnTypes(tableInput.getColumnTypes());
 		viewer.setSorter(tableSorter);
 
-		this.setContentDescription(NLS.bind(Messages.ColsRowsInfosEditor_2, titles[0]));
+		this.setContentDescription(NLS.bind(RCPMessages.ColsRowsInfosEditor_2, titles[0]));
 		createContextMenu(viewer);
 		viewer.refresh();
 		for (TableColumn col : viewer.getTable().getColumns())
Index: tmp/org.txm.core.tests/.classpath
===================================================================
--- tmp/org.txm.core.tests/.classpath	(revision 512)
+++ tmp/org.txm.core.tests/.classpath	(revision 513)
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 512)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChart.java	(revision 513)
@@ -47,7 +47,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenGraph;
 import org.txm.rcp.handlers.BaseAbstractHandler;
@@ -120,28 +120,28 @@
 			try {
 				file.createNewFile();
 			} catch (IOException e1) {
-				System.err.println(NLS.bind(Messages.ExportResult_3, file, e1));
+				System.err.println(NLS.bind(RCPMessages.ExportResult_3, file, e1));
 			}
 			if (!file.canWrite()) {
-				System.err.println(NLS.bind(Messages.ExportResult_5, file));
+				System.err.println(NLS.bind(RCPMessages.ExportResult_5, file));
 			}
 			if (!file.isFile()) {
 				System.err.println("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
-			JobHandler jobhandler = new JobHandler(Messages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(RCPMessages.ExportResult_0) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(Messages.ExportResult_1, 100);
+						monitor.beginTask(RCPMessages.ExportResult_1, 100);
 
 						String outputFormat = SWTChartsComponentsProvider.getCurrent().getChartsEngineSupportedExportFileFormats().get(dialog.getFilterIndex());
 						ChartsEngine.getCurrent().createChartFile(chartResult, file, outputFormat);
 
 						if (file.exists()) {
 
-							System.out.println(NLS.bind(Messages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							System.out.println(NLS.bind(RCPMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if (TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
@@ -153,7 +153,7 @@
 								});
 							}
 						} else {
-							System.out.println(NLS.bind(Messages.ExportResult_4, file.getAbsolutePath(), outputFormat));
+							System.out.println(NLS.bind(RCPMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
 						}
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 512)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ExportChartEditorView.java	(revision 513)
@@ -49,7 +49,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.OpenGraph;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -115,28 +115,28 @@
 				file.createNewFile();
 			}
 			catch(IOException e1) {
-				System.err.println(NLS.bind(Messages.ExportResult_3, file, e1));
+				System.err.println(NLS.bind(RCPMessages.ExportResult_3, file, e1));
 			}
 			if(!file.canWrite()) {
-				System.err.println(NLS.bind(Messages.ExportResult_5, file));
+				System.err.println(NLS.bind(RCPMessages.ExportResult_5, file));
 			}
 			if(!file.isFile()) {
 				System.err.println("Error: " + file + " is not a file"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 
-			JobHandler jobhandler = new JobHandler(Messages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(RCPMessages.ExportResult_0) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(Messages.ExportResult_1, 100);
+						monitor.beginTask(RCPMessages.ExportResult_1, 100);
 
 						String outputFormat = chartEditorPart.getSWTChartsComponentsProvider().getEditorSupportedExportFileFormats().get(dialog.getFilterIndex());
 						chartEditorPart.exportView(file, outputFormat);
 
 						if(file.exists()) {
 
-							System.out.println(NLS.bind(Messages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
+							System.out.println(NLS.bind(RCPMessages.ExportResult_2, file.getAbsolutePath(), outputFormat.toUpperCase()));
 
 							// Open internal editor in the UI thread
 							if(TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
@@ -149,7 +149,7 @@
 							}
 						}
 						else {
-							System.out.println(NLS.bind(Messages.ExportResult_4, file.getAbsolutePath(), outputFormat));
+							System.out.println(NLS.bind(RCPMessages.ExportResult_4, file.getAbsolutePath(), outputFormat));
 						}
 					}
 					catch(ThreadDeath td) {
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/commands/ComputeReferencer.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/commands/ComputeReferencer.java	(revision 512)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/commands/ComputeReferencer.java	(revision 513)
@@ -35,7 +35,7 @@
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.functions.referencer.Referencer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -89,11 +89,11 @@
 		IWorkbenchWindow window = TXMWindows.getActiveWindow();
 		IWorkbenchPage page = window.getActivePage();
 		try {
-			StatusLine.setMessage(Messages.ComputeReferencer_0);
+			StatusLine.setMessage(RCPMessages.ComputeReferencer_0);
 			page.openEditor(editorInput, ReferencerEditor.ID); //$NON-NLS-1$
 			return true;
 		} catch (PartInitException e) {
-			System.err.println(Messages.CorporaView_6+ e);
+			System.err.println(RCPMessages.CorporaView_6+ e);
 		}
 		return false;
 	}
Index: tmp/org.txm.referencer.rcp/src/org/txm/references/rcp/preferences/ReferencerPreferencePage.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/references/rcp/preferences/ReferencerPreferencePage.java	(revision 512)
+++ tmp/org.txm.referencer.rcp/src/org/txm/references/rcp/preferences/ReferencerPreferencePage.java	(revision 513)
@@ -28,7 +28,7 @@
 package org.txm.references.rcp.preferences;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.preferences.RCPPreferencesPage;
 
@@ -53,7 +53,7 @@
 	 */
 	public ReferencerPreferencePage() {
 		super();
-		setTitle(Messages.ReferencerPreferencePage_2);
+		setTitle(RCPMessages.ReferencerPreferencePage_2);
 	}
 
 	/**
@@ -65,7 +65,7 @@
 	public void createFieldEditors() {
 
 		referencer_sorttype = new BooleanFieldEditor(RCPPreferences.SORTBYFREQ,
-				Messages.ReferencerPreferencePage_3, getFieldEditorParent());
+				RCPMessages.ReferencerPreferencePage_3, getFieldEditorParent());
 		
 		addField(referencer_sorttype);
 
Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java	(revision 512)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/commands/link/ReferencerToConc.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.functions.referencer.Referencer;
 import org.txm.functions.referencer.Referencer.Line;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.referencer.ReferencerEditor;
 import org.txm.searchengine.cqp.ReferencePattern;
@@ -99,7 +99,7 @@
 			ConcordanceEditor conceditor = (ConcordanceEditor) page.openEditor(editorInput,
 					ConcordanceEditor.class.getName()); //$NON-NLS-1$
 		} catch (PartInitException e) {
-			System.err.println(NLS.bind(Messages.GetConcordances_4, e));
+			System.err.println("Error: "+e.getLocalizedMessage());
 		}
 
 		return null;
